import React from 'react';
import classnames from 'classnames';
import { Helmet } from 'react-helmet';
import styles from './styles.scss'

class Comments extends React.PureComponent {
  render() {
    const { publishPath } = this.props;

    return (
      <section className={classnames('comments', styles.styles)}>
        <Helmet>
          <script>
            {`// Facebook Comments Script
              (function(d, s, id) {
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) return;
                js = d.createElement(s); js.id = id;
                js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.9&appId=178201668917374";
                fjs.parentNode.insertBefore(js, fjs);
              }(document, 'script', 'facebook-jssdk'));
            `}
          </script>
        </Helmet>
        <div className='fb-comments' data-href={`https://www.politico.com/${publishPath}`} data-numposts='5' />
        <div id='fb-root' />
      </section>
    );
  }
}

export default Comments;
