import React from 'react';
import classnames from 'classnames';
import styles from './styles.scss'

class Section extends React.PureComponent {
  render() {
    return (
      <p className={classnames('category', styles.styles)}>
        <a href={this.props.href} target='_blank'>
          {this.props.children}
        </a>
      </p>
    );
  }
}

Section.defaultProps = {
  children: 'Category Title',
  href: '###',
};

export default Section;
