import './index.css';
import React from 'react';
import classnames from 'classnames';

var styles = {"fill-politico-red":"politico_style___3Z6qHhVkmW","styles":"politico_style___kIxYcGnczr"};

var Footer = function Footer() {
  return React.createElement("footer", {
    className: classnames('footer', styles.styles)
  }, React.createElement("nav", {
    className: "footer__group footer__group--links"
  }, React.createElement("ul", null, React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/about/"
  }, "About Us")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/about/advertising"
  }, "Advertising")), React.createElement("li", null, React.createElement("a", {
    href: "http://www.politico.com/subscribe/breaking-news-alerts"
  }, "Breaking News Alerts")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/careers"
  }, "Careers")), React.createElement("li", null, React.createElement("a", {
    href: "https://secure.politico.com/payment"
  }, "Credit Card Payments")), React.createElement("li", null, React.createElement("a", {
    href: "http://edition.pagesuite-professional.co.uk/Launch.aspx?bypass=true&PBID=74262970-aa07-44b3-80c8-21fa8a8ac376"
  }, "Digital Edition")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/faq"
  }, "FAQ")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/feedback"
  }, "Feedback")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/politics"
  }, "Headlines")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/gallery"
  }, "Photos")), React.createElement("li", null, React.createElement("a", {
    href: "http://www.powerjobs.com/"
  }, "POWERJobs")), React.createElement("li", null, React.createElement("a", {
    href: "http://www.politico.com/about/press/blog"
  }, "Press")), React.createElement("li", null, React.createElement("a", {
    href: "http://www.politico.com/subscriptions"
  }, "Print Subscriptions")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/rss"
  }, "RSS")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/sitemap"
  }, "Site Map"))), React.createElement("ul", null, React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/terms-of-service"
  }, "Terms of Service")), React.createElement("li", null, React.createElement("a", {
    href: "https://www.politico.com/privacy-policy"
  }, "Privacy Policy")))), React.createElement("nav", {
    className: "footer__group footer__group--legal"
  }, React.createElement("p", null, "\xA9 2019 POLITICO LLC")), React.createElement("div", {
    className: "clear"
  }));
};

export default Footer;
