import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Head from '../Head';
import Comments from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Comments'>
        <Head />
        <Comments publishPath='/interactives/example-page/' />
        <CodeBlock
          value={`import { Comments } from '@politico/interactive-style';

<Comments publishPath="/interactives/example-page/"/>
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
